content/operate/rs/7.8/references/rest-api/requests/ocsp/status.md
| Method | Path | Description |
|---|---|---|
| GET | /v1/ocsp/status | Get OCSP status |
GET /v1/ocsp/status
Gets the latest cached status of the proxy certificate’s OCSP response.
| Permission name |
|---|
| [view_ocsp_status]({{< relref "/operate/rs/7.8/references/rest-api/permissions#view_ocsp_status" >}}) |
GET /v1/ocsp/status
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
Returns an [OCSP status object]({{< relref "/operate/rs/7.8/references/rest-api/objects/ocsp_status" >}}).
{
"responder_url": "http://responder.ocsp.url.com",
"cert_status": "REVOKED",
"produced_at": "Wed, 22 Dec 2021 12:50:11 GMT",
"this_update": "Wed, 22 Dec 2021 12:50:11 GMT",
"next_update": "Wed, 22 Dec 2021 14:50:00 GMT",
"revocation_time": "Wed, 22 Dec 2021 12:50:04 GMT"
}
When errors occur, the server returns a JSON object with error_code and message fields that provide additional information. The following are possible error_code values:
| Code | Description |
|---|---|
| ocsp_unsupported_by_capability | Not all nodes support OCSP capability |
| invalid_ocsp_response | The server returned a response that is not OCSP-compatible |
| Code | Description |
|---|---|
| 200 OK | Success |
| 406 Not Acceptable | Feature not supported in all nodes |